<?php


class MiMic_LPC1769_Pin
{
	private $_port;
	public function __construct($i_mcu,$i_pin,$i_opt)
	{
		//1ピンのポートとして実装する。
		$this->_port = new MiMic_LPC1769_Port(
		$i_mcu,
		array($i_pin),
		($i_opt==null)?null:array($i_opt));
	}
	public function setOpt($i_opt)
	{
		$this->_port.setOpts(array($i_opt));
		return;
	}

}



?>